summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/gpm/gpm.install
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2010-09-20 00:57:29 (GMT)
committerJames Meyer <james.meyer@operamail.com>2010-09-20 00:57:29 (GMT)
commitfa2365c27675c5f9da21f74e25263f9c24897bec (patch)
tree10c01f99b0aa89a0ff0f0af596f5fa178ad25b29 /abs/core-testing/gpm/gpm.install
parente1de1dfe0f79ef4db9eeb178dcf4d9fe05da32ef (diff)
downloadlinhes_pkgbuild-fa2365c27675c5f9da21f74e25263f9c24897bec.zip
linhes_pkgbuild-fa2365c27675c5f9da21f74e25263f9c24897bec.tar.gz
linhes_pkgbuild-fa2365c27675c5f9da21f74e25263f9c24897bec.tar.bz2
gpm: update
Diffstat (limited to 'abs/core-testing/gpm/gpm.install')
-rw-r--r--abs/core-testing/gpm/gpm.install16
1 files changed, 16 insertions, 0 deletions
diff --git a/abs/core-testing/gpm/gpm.install b/abs/core-testing/gpm/gpm.install
new file mode 100644
index 0000000..2a1519a
--- /dev/null
+++ b/abs/core-testing/gpm/gpm.install
@@ -0,0 +1,16 @@
+infodir=/usr/share/info
+file=gpm.info.gz
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+}